### Method

# AppStreamCompose Hint format_explanation_plain

since: 1.2.0

#### Declaration [src]

    gchar*
    asc_hint_format_explanation_plain (
      AscHint* hint
    )

#### Description [src]

Formats the explanation template like %asc_hint_format_explanation does, but resolves all markup of the template into plain text: emphasis is dropped, code spans are marked the way Markdown does, line breaks become actual line breaks, links are reduced to their text followed by the URL they point to, and escaped characters are unescaped.

Available since: 1.2.0

#### Return value

Type: `gchar*`

Explanation text for this hint as plain text.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.